Arch Ubicación

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Site and the translation is 42% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Building.svg Building
Next: Reference Arch Reference.svg Arrow-right.svg

Arch Site.svg Arch Site

Ubicación en el Menú
Arquitectura → Ubicación
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
S I
Introducido en versión
-
Ver también
Piso, Construcción


Descripción

El sitio de Arch es un objeto especial que combina propiedades de un objeto de grupo estándar de FreeCAD y objetos de Arch. Es particularmente adecuado para representar un sitio de proyecto completo o terreno. En trabajos arquitectónicos basados en IFC, se usa principalmente para organizar su modelo, al contener objetos building. El sitio también se usa para administrar y mostrar un terreno físico, y puede calcular volúmenes de tierra para agregar o eliminar.

Utilización

  1. Opcionalmente, seleccionar uno o más objetos a ser incluidos en tu nueva ubicación
  2. Presionar el botón Arch Site.png Ubicación, o pulsar las teclas S y I

Opciones

  • Después de la creación de una ubicación, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta Arch Add.png Añadir. Esto solo determina qué objeto forma parte del sitio determinado y no tiene ningún efecto en el terreno en sí.
  • Puedes eliminar objetos de una ubicación arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta Arch Remove.png Eliminar
  • Puede agregar un objeto de terreno editando la propiedad Terreno del Sitio. El terreno debe ser una caparazón o superficie abierta.
  • Puede agregar volúmenes para agregar o restar del terreno base, haciendo doble clic en el Sitio y agregando objetos a sus grupos Resta o Adiciones. Los objetos deben ser sólidos.
  • La propiedad Extrusion Vector se puede usar para resolver algunos problemas que pueden aparecer al trabajar con sustracciones y adiciones. Para realizar esas adiciones / sustracciones, la superficie del terreno se extruye en un sólido, que luego se une / resta apropiadamente. Dependiendo de la topología del terreno, esta extrusión puede fallar con el vector de extrusión predeterminado. Por lo tanto, es posible que pueda solucionar el problema cambiando este a un valor diferente.

Propiedades

  • DATOSTerrain: El terreno base de este sitio
  • DATOSAddress: la calle y el número de este sitio
  • DATOSPostal Code: el código postal o postal de este sitio
  • DATOSCity: La ciudad de este sitio
  • DATOSCountry: El país de este sitio
  • DATOSLatitude: la latitud de este sitio
  • DATOSLongitude: la longitud de este sitio
  • DATOSUrl: una URL que muestra este sitio en un sitio web de mapas
  • DATOSProjected Area: el área de la proyección de este objeto en el plano XY
  • DATOSPerimeter: la longitud del perímetro de este terreno
  • DATOSAddition Volume: el volumen de tierra que se agregará a este terreno
  • DATOSSubtraction Volume: el volumen de tierra que se eliminará de este terreno
  • DATOSExtrusion Vector: un vector de extrusión para usar cuando se realizan operaciones booleanas
  • DATOSRemove Splitter: elimina los divisores de la forma resultante
  • DATOSNorth Deviation: El ángulo entre la verdadera dirección norte y norte en este documento
  • VISTASolar Diagram: Muestra u oculta el diagrama solar
  • VISTASolar Diagram Color: el color del diagrama solar
  • VISTASolar Diagram Position: la posición del diagrama solar
  • VISTASolar Diagram Scale: la escala del diagrama solar

View

  • VIEWSolar Diagram: Shows or hides the solar diagram
  • VIEWSolar Diagram Color: The color of the solar diagram
  • VIEWSolar Diagram Position: The position of the solar diagram
  • VIEWSolar Diagram Scale: The scale of the solar diagram

Flujo de trabajo típico

Comienza creando un objeto que represente tu terreno. Debe ser una superficie abierta, no un sólido. Por ejemplo, es fácil importar datos de malla, que se pueden convertir en una Forma de Parte desde el menú Parte -> Crear Forma desde Malla .... A continuación, cree un objeto Site y establezca su propiedad Terreno en la Pieza que acabamos de crear:

Arch site example 01.jpg

Cree algunos volúmenes (deben ser sólidos) que representen las áreas que desea que se excaven o rellenen. Haga doble clic en el objeto del Sitio en la Vista en árbol y agregue estos volúmenes a los grupos Adiciones o Restas. Haga clic en Aceptar.

Arch site example 02.jpg

La geometría del sitio se volverá a calcular y se volverán a calcular las áreas, el perímetro y las propiedades de volúmenes.

Arch site example 03.jpg

Diagrama Solar

Si pysolar está instalado en su sistema, Arch Sites puede mostrar un diagrama solar. Para esto, las propiedades Longitud, Latitude y NorthDeviation deben establecerse correctamente, y la propiedad de vista SolarDiagram activada. introduced in version 0.17

Pysolar 0.7 or above is required; this version only works with Python 3. If you require this feature with Python 2, you should have Pysolar 0.6 as this is the last version that works with Python 2.

Freecad-solar-diagram.jpg

Programación

La herramienta Ubicación se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
Crea una ubicación incluyendo los objetos de la lista dada.

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Solar diagram

As long as the pysolar module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.

Please note that Pysolar 0.7 or above is required, and this version only works with Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Solar diagram independent of Site

Un diagrama solar también se puede crear con:

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn, which shows the full solar analemma.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)